{ config, pkgs, ... }: {
  programs.dircolors = {
    enable = true;
    enableFishIntegration = true;

    settings = {
      NORMAL = "00;38;5;250";
      FIlE = "00;38;5;223";
      RESET = "00;38;5;172";
      DIR = "00;38;5;166";
      LINK = "target";

      MULTIHARDLINK = "04";
      FIFO = "40;33";
      SOCK = "38;5;211";
      DOOR = "38;5;211";
      BLK = "40;33;01";
      CHR = "40;33;01";
      ORPHAN = "40;31;01";
      SETUID = "37;41";
      SETGID = "30;43";
      CAPABILITY = "30;41";
      STICKY_OTHER_WRITABLE = "01;36;44";
      OTHER_WRITABLE = "38;5;208;48;5;243";
      STICKY = "38;5;208;48;5;243";
      EXEC = "01;30;32";

      ".bak" = "38;5;246";
      ".cache" = "38;5;246";
      ".dist" = "38;5;246";
      ".lock" = "38;5;246";
      ".log" = "38;5;246";
      ".old" = "38;5;246";
      ".orig" = "38;5;246";
      ".temp" = "38;5;246";
      ".tmp" = "38;5;246";

      ".7z" = "01;31";
      ".Z" = "01;31";
      ".ace" = "01;31";
      ".arj" = "01;31";
      ".bz" = "01;31";
      ".bz2" = "01;31";
      ".cpio" = "1;31";
      ".deb" = "01;31";
      ".dz" = "01;31";
      ".ear" = "01;31";
      ".gz" = "01;31";
      ".jar" = "01;31";
      ".lz" = "01;31";
      ".lzh" = "01;31";
      ".lzma" = "1;31";
      ".rar" = "01;31";
      ".rpm" = "01;31";
      ".rz" = "01;31";
      ".sar" = "01;31";
      ".tar" = "01;31";
      ".taz" = "01;31";
      ".tbz" = "01;31";
      ".tbz2" = "1;31";
      ".tgz" = "01;31";
      ".tlz" = "01;31";
      ".txz" = "01;31";
      ".tz" = "01;31";
      ".war" = "01;31";
      ".xz" = "01;31";
      ".z" = "01;31";
      ".zip" = "01;31";
      ".zoo" = "01;31";


      ".anx" = "01;35";
      ".asf" = "01;35";
      ".avi" = "01;35";
      ".axv" = "01;35";
      ".bmp" = "01;35";
      ".cgm" = "01;35";
      ".dl" = "01;35";
      ".emf" = "01;35";
      ".flc" = "01;35";
      ".fli" = "01;35";
      ".flv" = "01;35";
      ".gif" = "01;35";
      ".gl" = "01;35";
      ".jpeg" = "01;35";
      ".jpg" = "01;35";
      ".m2v" = "01;35";
      ".m4v" = "01;35";
      ".mkv" = "01;35";
      ".mng" = "01;35";
      ".mov" = "01;35";
      ".mp4" = "01;35";
      ".mp4v" = "01;35";
      ".mpeg" = "01;35";
      ".mpg" = "01;35";
      ".nuv" = "01;35";
      ".ogm" = "01;35";
      ".ogv" = "01;35";
      ".ogx" = "01;35";
      ".pbm" = "01;35";
      ".pcx" = "01;35";
      ".pgm" = "01;35";
      ".png" = "01;35";
      ".ppm" = "01;35";
      ".qt" = "01;35";
      ".rm" = "01;35";
      ".rmvb" = "01;35";
      ".svg" = "01;35";
      ".svgz" = "01;35";
      ".tga" = "01;35";
      ".tif" = "01;35";
      ".tiff" = "01;35";
      ".vob" = "01;35";
      ".webm" = "01;35";
      ".wmv" = "01;35";
      ".xbm" = "01;35";
      ".xcf" = "01;35";
      ".xpm" = "01;35";
      ".xwd" = "01;35";
      ".yuv" = "01;35";

      ".aac" = "01;33";
      ".au" = "01;33";
      ".flac" = "01;33";
      ".mid" = "01;33";
      ".midi" = "01;33";
      ".mka" = "01;33";
      ".mp3" = "01;33";
      ".mpc" = "01;33";
      ".ogg" = "01;33";
      ".ra" = "01;33";
      ".wav" = "01;33";
      ".axa" = "01;33";
      ".oga" = "01;33";
      ".spx" = "01;33";
      ".xspf" = "01;33";

      ".doc" = "38;5;109";
      ".docx" = "38;5;109";
      ".html" = "38;5;109";
      ".js" = "38;5;109";
      ".json" = "38;5;109";
      ".md" = "38;5;109";
      ".neon" = "38;5;109";
      ".odp" = "38;5;109";
      ".ods" = "38;5;109";
      ".odt" = "38;5;109";
      ".pdf" = "38;5;109";
      ".php" = "38;5;109";
      ".phtml" = "38;5;109";
      ".ppt" = "38;5;109";
      ".pptx" = "38;5;109";
      ".tex" = "38;5;109";
      ".txt" = "38;5;109";
      ".xls" = "38;5;109";
      ".xlsx" = "38;5;109";
      ".xml" = "38;5;109";

    };

  };
}
